#!/bin/sh

#  DatabaseCorrectionScript.sh
#  ColorCorrectionFoundation
#
#  Created by Michael Hudgins on 9/25/15.
#  Copyright (c) 2015 Imagine Products. All rights reserved.

echo '.dump' | sqlite3 "/Library/Application Support/ImagineProducts/PrerollPost/PreRollPostCentralDatabase.sqlite" | sqlite3 "/Library/Application Support/ImagineProducts/PrerollPost/PreRollPostCentralDatabaseRepaired.sqlite"

mv "/Library/Application Support/ImagineProducts/PrerollPost/PreRollPostCentralDatabase.sqlite" "/Library/Application Support/ImagineProducts/PrerollPost/PreRollPostCentralDatabaseCorrupted.sqlite"

mv "/Library/Application Support/ImagineProducts/PrerollPost/PreRollPostCentralDatabaseRepaired.sqlite" "/Library/Application Support/ImagineProducts/PrerollPost/PreRollPostCentralDatabase.sqlite"

for filename  in /Library/Application\ Support/ImagineProducts/PrerollPost/FilesDatabase/*.sqlite
do

corruptFile="$filename"_corrupted
repairedFile="$filename"_repaired

echo $corruptFile;
echo $repairedFile;

echo '.dump' | sqlite3 "$filename" | sqlite3 "$repairedFile"

mv "$filename" "$corruptFile"

mv "$repairedFile" "$filename"

done